function [par] = init_parameters(label)

% Uložení názvu souboru
par.label = label;

%% Rate matching
%

% obsahuje pole informací, jak má být redukován datový tok
par.RateMatch = [];

%% Downlink - physical channels
% Scrambling
% c_init = n_RNTI*2^14 + q * 2^13 + floor(n_S/2)*2^9 + N_cell_ID;
%          11345*2^14  + 0 * 2^13 + 1*2^9            + 102     =185876582;
par.n_RNTI = 11345; par.N_cell_ID = 102; par.q = 0;
par.dc_init = par.n_RNTI*2^14 + par.q*2^13 + floor(1/2)*2^9 + par.N_cell_ID;
par.channel_rand_seed = 175;
par.noise_rand_seed = 1945173372;
par.NIteraci = 8;
par.vyrovKanal = false;

% Modulace
par.dmodType = '16QAM';
switch par.dmodType
    case 'BPSK'
        par.dmodBit = 1;
    case 'QPSK'
        par.dmodBit = 2;
    case '16QAM'
        par.dmodBit = 4;
    case '64QAM'
        par.dmodBit = 6;
end

par.SchMAX = 6; % Maximální počet přenesených RB = odpovídá BW 1.4MHz
par.dSchVec = [1 0 1 1 1 1]; % 1 - 6RB

%% Uplink - physical channels
% Scrambling
% c_init = n_RNTI*2^14 + floor(n_S/2)*2^9 + N_cell_ID;
%          12345*2^14   + 1*2^9            + 102     =1858683492;
% n_RNTI = 12345; par.N_cell_ID = 102; stejné jako downlink
par.uc_init = par.n_RNTI*2^14 + floor(1/2)*2^9 + par.N_cell_ID;
             
% Modulace
par.umodType = '16QAM';
switch par.umodType
    case 'BPSK'
        par.umodBit = 1;
    case 'QPSK'
        par.umodBit = 2;
    case '16QAM'
        par.umodBit = 4;
    case '64QAM'
        par.umodBit = 6;
end

% par.SchMAX = uplink musí být stejný s downlinkem
% první číslo počet nul, druhé počet jedniček, třetí počet nul, dohromady
% musí dát šest
par.uSchVecp = [2 3 1]; % 
par.uSchVec = [zeros(1,par.uSchVecp(1)) ...
               ones(1,par.uSchVecp(2)) ...
               zeros(1,par.uSchVecp(3))];


%% Uložení souboru 
% Uloží soubor 
save(sprintf('%s.mat', label), 'par');